## ev-link-dest

ev-link-dest

## Functions

gboolean | ev_link_dest_equal ()
EvLinkDestType | ev_link_dest_get_dest_type ()
gint | ev_link_dest_get_page ()
gdouble | ev_link_dest_get_top ()
gdouble | ev_link_dest_get_left ()
gdouble | ev_link_dest_get_bottom ()
gdouble | ev_link_dest_get_right ()
gdouble | ev_link_dest_get_zoom ()
const gchar * | ev_link_dest_get_named_dest ()
const gchar * | ev_link_dest_get_page_label ()
EvLinkDest * | ev_link_dest_new_page ()
EvLinkDest * | ev_link_dest_new_xyz ()
EvLinkDest * | ev_link_dest_new_fit ()
EvLinkDest * | ev_link_dest_new_fith ()
EvLinkDest * | ev_link_dest_new_fitv ()
EvLinkDest * | ev_link_dest_new_fitr ()
EvLinkDest * | ev_link_dest_new_named ()
EvLinkDest * | ev_link_dest_new_page_label ()

## Properties

gdouble | bottom | Read / Write / Construct Only
guint | change | Read / Write / Construct Only
gdouble | left | Read / Write / Construct Only
gchar * | named | Read / Write / Construct Only
gint | page | Read / Write / Construct Only
gchar * | page-label | Read / Write / Construct Only
gdouble | right | Read / Write / Construct Only
gdouble | top | Read / Write / Construct Only
EvLinkDestType | type | Read / Write / Construct Only
gdouble | zoom | Read / Write / Construct Only

## Types and Values

| EvLinkDest
| EvLinkDestClass
enum | EvLinkDestType

## Object Hierarchy

        GEnum
        ╰── EvLinkDestType
        GObject
        ╰── EvLinkDest

## Description

## Functions

### ev_link_dest_equal ()

    gboolean
    ev_link_dest_equal (EvLinkDest *a,
                        EvLinkDest *b);

Since: 3.8

### ev_link_dest_get_dest_type ()

    EvLinkDestType
    ev_link_dest_get_dest_type (EvLinkDest *self);

### ev_link_dest_get_page ()

    gint
    ev_link_dest_get_page (EvLinkDest *self);

### ev_link_dest_get_top ()

    gdouble
    ev_link_dest_get_top (EvLinkDest *self,
                          gboolean *change_top);

### ev_link_dest_get_left ()

    gdouble
    ev_link_dest_get_left (EvLinkDest *self,
                           gboolean *change_left);

### ev_link_dest_get_bottom ()

    gdouble
    ev_link_dest_get_bottom (EvLinkDest *self);

### ev_link_dest_get_right ()

    gdouble
    ev_link_dest_get_right (EvLinkDest *self);

### ev_link_dest_get_zoom ()

    gdouble
    ev_link_dest_get_zoom (EvLinkDest *self,
                           gboolean *change_zoom);

### ev_link_dest_get_named_dest ()

    const gchar *
    ev_link_dest_get_named_dest (EvLinkDest *self);

### ev_link_dest_get_page_label ()

    const gchar *
    ev_link_dest_get_page_label (EvLinkDest *self);

### ev_link_dest_new_page ()

    EvLinkDest *
    ev_link_dest_new_page (gint page);

### ev_link_dest_new_xyz ()

    EvLinkDest *
    ev_link_dest_new_xyz (gint page,
                          gdouble left,
                          gdouble top,
                          gdouble zoom,
                          gboolean change_left,
                          gboolean change_top,
                          gboolean change_zoom);

### ev_link_dest_new_fit ()

    EvLinkDest *
    ev_link_dest_new_fit (gint page);

### ev_link_dest_new_fith ()

    EvLinkDest *
    ev_link_dest_new_fith (gint page,
                           gdouble top,
                           gboolean change_top);

### ev_link_dest_new_fitv ()

    EvLinkDest *
    ev_link_dest_new_fitv (gint page,
                           gdouble left,
                           gboolean change_left);

### ev_link_dest_new_fitr ()

    EvLinkDest *
    ev_link_dest_new_fitr (gint page,
                           gdouble left,
                           gdouble bottom,
                           gdouble right,
                           gdouble top);

### ev_link_dest_new_named ()

    EvLinkDest *
    ev_link_dest_new_named (const gchar *named_dest);

### ev_link_dest_new_page_label ()

    EvLinkDest *
    ev_link_dest_new_page_label (const gchar *page_label);

## Types and Values

### EvLinkDest

    typedef struct _EvLinkDest EvLinkDest;

### EvLinkDestClass

    typedef struct _EvLinkDestClass EvLinkDestClass;

### enum EvLinkDestType

#### Members

EV_LINK_DEST_TYPE_PAGE |  |
EV_LINK_DEST_TYPE_XYZ |  |
EV_LINK_DEST_TYPE_FIT |  |
EV_LINK_DEST_TYPE_FITH |  |
EV_LINK_DEST_TYPE_FITV |  |
EV_LINK_DEST_TYPE_FITR |  |
EV_LINK_DEST_TYPE_NAMED |  |
EV_LINK_DEST_TYPE_PAGE_LABEL |  |
EV_LINK_DEST_TYPE_UNKNOWN |  |

## Property Details

### The `“bottom”` property

      “bottom”                   gdouble

The bottom coordinate.

Flags: Read / Write / Construct Only

Default value: 0

### The `“change”` property

      “change”                   guint

Wether top, left, and zoom should be changed.

Flags: Read / Write / Construct Only

Default value: 0

### The `“left”` property

      “left”                     gdouble

The left coordinate.

Flags: Read / Write / Construct Only

Default value: 0

### The `“named”` property

      “named”                    gchar *

The named destination.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“page”` property

      “page”                     gint

The destination page.

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: 0

### The `“page-label”` property

      “page-label”               gchar *

The label of the destination page.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“right”` property

      “right”                    gdouble

The right coordinate.

Flags: Read / Write / Construct Only

Default value: 0

### The `“top”` property

      “top”                      gdouble

The top coordinate.

Flags: Read / Write / Construct Only

Default value: 0

### The `“type”` property

      “type”                     EvLinkDestType

The destination type.

Flags: Read / Write / Construct Only

Default value: EV_LINK_DEST_TYPE_UNKNOWN

### The `“zoom”` property

      “zoom”                     gdouble

Zoom.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0